# PWM configuration options

# Copyright (c) 2015 Intel Corporation
# SPDX-License-Identifier: Apache-2.0

menuconfig PWM
	bool "PWM (Pulse Width Modulation) Drivers"
	help
	  Enable config options for PWM drivers.

if PWM

module = PWM
module-str = pwm
source "subsys/logging/Kconfig.template.log_config"

config PWM_SHELL
	bool "Enable PWM shell"
	default y
	depends on SHELL
	help
	  Enable the PWM related shell commands.

source "drivers/pwm/Kconfig.pca9685"

source "drivers/pwm/Kconfig.dw"

source "drivers/pwm/Kconfig.stm32"

source "drivers/pwm/Kconfig.sifive"

source "drivers/pwm/Kconfig.nrf5_sw"

source "drivers/pwm/Kconfig.nrfx"

source "drivers/pwm/Kconfig.mcux_ftm"

source "drivers/pwm/Kconfig.imx"

source "drivers/pwm/Kconfig.esp32"

source "drivers/pwm/Kconfig.sam"

source "drivers/pwm/Kconfig.mcux"

source "drivers/pwm/Kconfig.xec"

source "drivers/pwm/Kconfig.litex"

source "drivers/pwm/Kconfig.rv32m1_tpm"

source "drivers/pwm/Kconfig.mcux_tpm"

source "drivers/pwm/Kconfig.incore"

endif # PWM
